For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounts API: Users

Retrieves one specific user connection

get
Authorizations
BearerstringRequired
Path parameters
fromUserstring · uuidRequired
toUserstring · uuidRequired
fromstringRequired
tostringRequired
Responses
200

OK

FromUserIdstring · uuidOptional
ToUserIdstring · uuidOptional
IsLeaderbooleanOptional
IsManagerbooleanOptional
IsSupervisorbooleanOptional
IsValidatorbooleanOptional
Connectedstring · date-timeOptional
LastChangeTimestring · date-timeOptional
LastChangeTypestring · nullableOptional
LastChangeUserstring · uuidOptional
get/api/accounts/users-connections/{from}/{to}
GET /v2/e01/api/accounts/users-connections/{from}/{to} HTTP/1.1
Bearer: YOUR_API_KEY
Accept: */*
{
  "FromUserId": "123e4567-e89b-12d3-a456-426614174000",
  "ToUserId": "123e4567-e89b-12d3-a456-426614174000",
  "IsLeader": true,
  "IsManager": true,
  "IsSupervisor": true,
  "IsValidator": true,
  "Connected": "2026-01-01T00:00:00.000Z",
  "LastChangeTime": "2026-01-01T00:00:00.000Z",
  "LastChangeType": "text",
  "LastChangeUser": "123e4567-e89b-12d3-a456-426614174000"
}

Checks for the existence of one specific user connection

head
Authorizations
BearerstringRequired
Path parameters
fromUserstring · uuidRequired
toUserstring · uuidRequired
fromstringRequired
tostringRequired
Responses
200

OK

No content

head/api/accounts/users-connections/{from}/{to}
HEAD /v2/e01/api/accounts/users-connections/{from}/{to} HTTP/1.1
Bearer: YOUR_API_KEY
Accept: */*

No content

Collects the list of user connections that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to restrict the result set to user connections modified within a specific window. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive.

Authorizations
BearerstringRequired
Body
ConnectedSincestring · date-time · nullableOptional
ConnectedBeforestring · date-time · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

FromUserIdstring · uuidOptional
ToUserIdstring · uuidOptional
IsLeaderbooleanOptional
IsManagerbooleanOptional
IsSupervisorbooleanOptional
IsValidatorbooleanOptional
Connectedstring · date-timeOptional
LastChangeTimestring · date-timeOptional
LastChangeTypestring · nullableOptional
LastChangeUserstring · uuidOptional
post/api/accounts/users-connections/collect
POST /v2/e01/api/accounts/users-connections/collect HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 189

{
  "ConnectedSince": "2026-01-01T00:00:00.000Z",
  "ConnectedBefore": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

[
  {
    "FromUserId": "123e4567-e89b-12d3-a456-426614174000",
    "ToUserId": "123e4567-e89b-12d3-a456-426614174000",
    "IsLeader": true,
    "IsManager": true,
    "IsSupervisor": true,
    "IsValidator": true,
    "Connected": "2026-01-01T00:00:00.000Z",
    "LastChangeTime": "2026-01-01T00:00:00.000Z",
    "LastChangeType": "text",
    "LastChangeUser": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Counts the user connections that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to restrict the count to user connections modified within a specific window. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive.

Authorizations
BearerstringRequired
Body
ConnectedSincestring · date-time · nullableOptional
ConnectedBeforestring · date-time · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

Countinteger · int32Optional
Summarystring · nullableOptional
post/api/accounts/users-connections/count
POST /v2/e01/api/accounts/users-connections/count HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 189

{
  "ConnectedSince": "2026-01-01T00:00:00.000Z",
  "ConnectedBefore": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

{
  "Count": 1,
  "Summary": "text"
}

Downloads the list of user connections that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to download only user connections modified within a specific window, which is useful for incremental integrations that already hold most of the data. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive. When polling for deltas, subtract a small overlap (for example five minutes) from the previous poll time to allow for projection lag.

Authorizations
BearerstringRequired
Body
ConnectedSincestring · date-time · nullableOptional
ConnectedBeforestring · date-time · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

No content

post/api/accounts/users-connections/download
POST /v2/e01/api/accounts/users-connections/download HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 189

{
  "ConnectedSince": "2026-01-01T00:00:00.000Z",
  "ConnectedBefore": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

No content

Searches for the list of user connections that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to restrict the result set to user connections modified within a specific window. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive.

Authorizations
BearerstringRequired
Body
ConnectedSincestring · date-time · nullableOptional
ConnectedBeforestring · date-time · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

FromUserIdstring · uuidOptional
ToUserIdstring · uuidOptional
post/api/accounts/users-connections/search
POST /v2/e01/api/accounts/users-connections/search HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 189

{
  "ConnectedSince": "2026-01-01T00:00:00.000Z",
  "ConnectedBefore": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

[
  {
    "FromUserId": "123e4567-e89b-12d3-a456-426614174000",
    "ToUserId": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Retrieves one specific user

get
Authorizations
BearerstringRequired
Path parameters
userstring · uuidRequired
Responses
200

OK

UserIdstring · uuidOptional
AccessGrantedToCmdsbooleanOptional
MultiFactorAuthenticationbooleanOptional
DefaultPasswordstring · nullableOptional
Emailstring · nullableOptional
EmailAlternatestring · nullableOptional
EmailVerifiedstring · nullableOptional
FirstNamestring · nullableOptional
FullNamestring · nullableOptional
Honorificstring · nullableOptional
ImageUrlstring · nullableOptional
Initialsstring · nullableOptional
LastNamestring · nullableOptional
LoginOrganizationCodestring · nullableOptional
MiddleNamestring · nullableOptional
MultiFactorAuthenticationCodestring · nullableOptional
OAuthProviderUserIdstring · nullableOptional
OldUserPasswordHashstring · nullableOptional
PhoneMobilestring · nullableOptional
SoundexFirstNamestring · nullableOptional
SoundexLastNamestring · nullableOptional
TimeZonestring · nullableOptional
UserPasswordHashstring · nullableOptional
PrimaryLoginMethodinteger · int32 · nullableOptional
SecondaryLoginMethodinteger · int32 · nullableOptional
UserPasswordChangeRequestedinteger · int32 · nullableOptional
AccountCloakedstring · date-time · nullableOptional
DefaultPasswordExpiredstring · date-time · nullableOptional
UserLicenseAcceptedstring · date-time · nullableOptional
UserPasswordChangedstring · date-time · nullableOptional
UserPasswordExpiredstring · date-timeOptional
UtcArchivedstring · date-time · nullableOptional
UtcUnarchivedstring · date-time · nullableOptional
LastChangeTimestring · date-timeOptional
LastChangeTypestring · nullableOptional
LastChangeUserstring · uuidOptional
get/api/accounts/users/{user}
GET /v2/e01/api/accounts/users/{user} HTTP/1.1
Bearer: YOUR_API_KEY
Accept: */*
{
  "UserId": "123e4567-e89b-12d3-a456-426614174000",
  "AccessGrantedToCmds": true,
  "MultiFactorAuthentication": true,
  "DefaultPassword": "text",
  "Email": "text",
  "EmailAlternate": "text",
  "EmailVerified": "text",
  "FirstName": "text",
  "FullName": "text",
  "Honorific": "text",
  "ImageUrl": "text",
  "Initials": "text",
  "LastName": "text",
  "LoginOrganizationCode": "text",
  "MiddleName": "text",
  "MultiFactorAuthenticationCode": "text",
  "OAuthProviderUserId": "text",
  "OldUserPasswordHash": "text",
  "PhoneMobile": "text",
  "SoundexFirstName": "text",
  "SoundexLastName": "text",
  "TimeZone": "text",
  "UserPasswordHash": "text",
  "PrimaryLoginMethod": 1,
  "SecondaryLoginMethod": 1,
  "UserPasswordChangeRequested": 1,
  "AccountCloaked": "2026-01-01T00:00:00.000Z",
  "DefaultPasswordExpired": "2026-01-01T00:00:00.000Z",
  "UserLicenseAccepted": "2026-01-01T00:00:00.000Z",
  "UserPasswordChanged": "2026-01-01T00:00:00.000Z",
  "UserPasswordExpired": "2026-01-01T00:00:00.000Z",
  "UtcArchived": "2026-01-01T00:00:00.000Z",
  "UtcUnarchived": "2026-01-01T00:00:00.000Z",
  "LastChangeTime": "2026-01-01T00:00:00.000Z",
  "LastChangeType": "text",
  "LastChangeUser": "123e4567-e89b-12d3-a456-426614174000"
}

Checks for the existence of one specific user

head
Authorizations
BearerstringRequired
Path parameters
userstring · uuidRequired
Responses
200

OK

No content

head/api/accounts/users/{user}
HEAD /v2/e01/api/accounts/users/{user} HTTP/1.1
Bearer: YOUR_API_KEY
Accept: */*

No content

Collects the list of users that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to restrict the result set to users modified within a specific window. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive.

Authorizations
BearerstringRequired
Body
UserIdsstring · uuid[] · nullableOptional
UserEmailExactstring · nullableOptional
UserFullNameContainsstring · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

UserIdstring · uuidOptional
FullNamestring · nullableOptional
post/api/accounts/users/collect
POST /v2/e01/api/accounts/users/collect HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 205

{
  "UserIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "UserEmailExact": "text",
  "UserFullNameContains": "text",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

[
  {
    "UserId": "123e4567-e89b-12d3-a456-426614174000",
    "FullName": "text"
  }
]

Counts the users that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to restrict the count to users modified within a specific window. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive.

Authorizations
BearerstringRequired
Body
UserIdsstring · uuid[] · nullableOptional
UserEmailExactstring · nullableOptional
UserFullNameContainsstring · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

Countinteger · int32Optional
Summarystring · nullableOptional
post/api/accounts/users/count
POST /v2/e01/api/accounts/users/count HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 205

{
  "UserIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "UserEmailExact": "text",
  "UserFullNameContains": "text",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

{
  "Count": 1,
  "Summary": "text"
}

Downloads the list of users that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to download only users modified within a specific window, which is useful for incremental integrations that already hold most of the user data. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive. When polling for deltas, subtract a small overlap (for example five minutes) from the previous poll time to allow for projection lag.

Authorizations
BearerstringRequired
Body
UserIdsstring · uuid[] · nullableOptional
UserEmailExactstring · nullableOptional
UserFullNameContainsstring · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

No content

post/api/accounts/users/download
POST /v2/e01/api/accounts/users/download HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 205

{
  "UserIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "UserEmailExact": "text",
  "UserFullNameContains": "text",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

No content

Searches for the list of users that match specific criteria

post

Use LastChangeTimeSince and LastChangeTimeBefore to restrict the result set to users modified within a specific window. Both parameters accept ISO 8601 date-time values, for example "2026-07-06T14:00:00+00:00". LastChangeTimeSince is inclusive; LastChangeTimeBefore is exclusive.

Authorizations
BearerstringRequired
Body
UserIdsstring · uuid[] · nullableOptional
UserEmailExactstring · nullableOptional
UserFullNameContainsstring · nullableOptional
LastChangeTimeSincestring · date-time · nullableOptional
LastChangeTimeBeforestring · date-time · nullableOptional
Responses
200

OK

UserIdstring · uuidOptional
FullNamestring · nullableOptional
post/api/accounts/users/search
POST /v2/e01/api/accounts/users/search HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 205

{
  "UserIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "UserEmailExact": "text",
  "UserFullNameContains": "text",
  "LastChangeTimeSince": "2026-01-01T00:00:00.000Z",
  "LastChangeTimeBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

[
  {
    "UserId": "123e4567-e89b-12d3-a456-426614174000",
    "FullName": "text"
  }
]

Last updated

Was this helpful?